GET private-location/{geoloc}/private-agents
Lists all private agents for a specified private location.
URL Parameters
| Name | Description |
|---|---|
| geoloc | The geolocation string. |
Remarks
Use GET private locations route to get the list of private locations having values applicable for geoloc.Request example
curl --request GET "https://api-asm1.apica.io/v3/private-location/{geoloc}/private-agents?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"agent_id": "bd8102a1-9f38-4ac1-81bc-8a0a3d8893cb",
"agent_name": "sample string 2",
"customer_guid": "57afdfd1-4e56-4286-b07e-ad881bdabc0f",
"geoloc": "sample string 4",
"created_utc": "2026-04-17T07:37:10",
"last_updated_utc": "2026-04-17T07:37:10",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-04-17T07:37:10",
"certificate_valid_till_utc": "2026-04-17T07:37:10",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "9b2adbb8-2f88-458f-b9b7-9de5a8f29067",
"agent_name": "sample string 2",
"customer_guid": "c7d6c7e4-91b3-4268-8291-edbc4e286103",
"geoloc": "sample string 4",
"created_utc": "2026-04-17T07:37:10",
"last_updated_utc": "2026-04-17T07:37:10",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-04-17T07:37:10",
"certificate_valid_till_utc": "2026-04-17T07:37:10",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
},
{
"agent_id": "94512052-49cc-42cc-8027-7a0235f3e0ec",
"agent_name": "sample string 2",
"customer_guid": "d70a49c1-084c-487e-8fed-21fd609567c3",
"geoloc": "sample string 4",
"created_utc": "2026-04-17T07:37:10",
"last_updated_utc": "2026-04-17T07:37:10",
"enabled": true,
"health": "sample string 8",
"status": "sample string 9",
"status_updated_at": 10,
"certificate_valid_from_utc": "2026-04-17T07:37:10",
"certificate_valid_till_utc": "2026-04-17T07:37:10",
"node_status": "sample string 13",
"status_description": "sample string 14",
"scheduling_eligibility": "sample string 15"
}
]
| Name | Type | Description |
|---|---|---|
| AgentId | Guid |
The unique identifier of the agent. |
| AgentName | String |
The name of the agent. |
| CustomerGuid | Guid |
The unique identifier of the customer. |
| Geoloc | String |
The geolocation string. |
| CreatedUtc | DateTime |
The UTC timestamp when the agent was created. |
| LastUpdatedUtc | DateTime |
The UTC timestamp when the agent was last updated. |
| Enabled | Boolean |
Indicates whether the agent is enabled. |
| Health | String |
The health status of the agent. |
| Status | String |
The current status of the agent. |
| StatusUpdatedAt | Integer |
The timestamp when the status was last updated. |
| CertificateValidFromUtc | DateTime |
The UTC timestamp from when the agent's certificate is valid. |
| CertificateValidTillUtc | DateTime |
The UTC timestamp until the agent's certificate is valid. |
| NodeStatus | String |
The status of the node. |
| StatusDescription | String |
A description of the agent's status. |
| SchedulingEligibility | String |
Indicates the scheduling eligibility of the agent. |